import { iconDormitory, iconITMO, iconLETI } from '../utils/markerIcons'

type LocationType = 'dormitory' | 'leti' | 'itmo'

const studentLocations: {
    name: string,
    position: [number, number],
    type: LocationType
}[] = [
        {
            name: 'Первое, второе, третье общежития',
            position: [59.987299, 30.330672],
            type: 'dormitory',
        },
        {
            name: 'Четвертое общежитие',
            position: [59.985620, 30.331319],
            type: 'dormitory',
        },
        {
            name: 'Шестое общежитие',
            position: [59.969713, 30.299851],
            type: 'dormitory',
        },
        {
            name: 'Седьмое общежитие',
            position: [60.003723, 30.287616],
            type: 'dormitory',
        },
        {
            name: 'Восьмое общежитие',
            position: [59.991115, 30.318752],
            type: 'dormitory',
        },
        {
            name: 'Общежития Межвузовского студенческого городка',
            position: [59.871053, 30.307154],
            type: 'dormitory',
        },
        {
            name: 'Одиннадцатое общежитие',
            position: [59.877962, 30.242889],
            type: 'dormitory',
        },
        {
            name: 'Общежитие Академии транспортных технологий',
            position: [59.870375, 30.308646],
            type: 'dormitory',
        },
        {
            name: 'ЛЭТИ шестой корпус',
            position: [59.971578, 30.296653],
            type: 'leti',
        },
        {
            name: 'ЛЭТИ Первый и другие корпуса',
            position: [59.971947, 30.324303],
            type: 'leti',
        },
        {
            name: 'ИТМО',
            position: [59.956363, 30.310029],
            type: 'itmo',
        },
    ]

const locationsIcons: Record<LocationType, L.Icon> = {
    dormitory: iconDormitory,
    itmo: iconITMO,
    leti: iconLETI,
}

export { studentLocations, locationsIcons }
