import { Marker, Tooltip, useMap } from 'react-leaflet'
import { LatLng } from 'leaflet'

import { locationsIcons, studentLocations } from '../assets/studentLocations'

type StudentLocationsProps = {
    setPosition?: (pos: LatLng) => void
}

function StudentLocations({ setPosition }: StudentLocationsProps) {
    const map = useMap()

    return (
        <>{
            studentLocations.map((el) =>
                <Marker
                    icon={locationsIcons[el.type]}
                    position={el.position}
                    eventHandlers={{
                        click: setPosition && (() => {
                            setPosition(new LatLng(...el.position))
                            map.setView(el.position)
                        }),
                    }}
                >
                    <Tooltip>
                        {el.name}
                    </Tooltip>
                </Marker>
            )
        }
        </>
    )
}

export default StudentLocations
